Subject: Re: Git "Keeping Original Dates"

From: Hector Santos <[email-masked]>
Date: Mon, 05 Jun 2017 19:36:58 -0400

On 6/5/2017 6:06 PM, Ævar Arnfjörð Bjarmason wrote:
> On Mon, Jun 5, 2017 at 11:25 PM, Jason Pyeron <[email-masked]> wrote:
>>> -----Original Message-----
>>> From: Hector Santos
>>> Sent: Monday, June 5, 2017 5:14 PM
>>>
>>> I'm implementing GIT.  If there an option or compile/version that "keep"
>> file timestamps?
>>
>> That is not in the tree data structure, see below.
>>
>> root@blackfat /projects/tipsoftheday
>> $ git cat-file -p head
>> tree 4ca3c2a853c8e817d7de8563c331899cace8ee85
>> parent 2a33f293df6df0d3978612e41fb1ecd52e2450a5
>> author Jason Pyeron <[email-masked]> 1496424815 -0400
>> committer Jason Pyeron <[email-masked]> 1496424815 -0400
>>
>> add JDK to CM
>>
>> root@blackfat /projects/tipsoftheday
>> $ git cat-file -p 4ca3c2a853c8e817d7de8563c331899cace8ee85
>> 040000 tree 76094b81b3877b5b27cd4fe518fa0708af3cefed    admin
>> 040000 tree c66a88871c285e1485f92be0f8fa47185d94d0b3    client
>> 040000 tree 460495af209a580e65b5d0b38132d774ddb283b7    database
>> 040000 tree 264b191b036180039f3fd8c5d56c2b6800cb2ca2    doc
>> 040000 tree dd128195971f7bafa56371aa6027d7c6bc80f351    middleware
>> 040000 tree 7861fd39923950d501d4e39aeac4762f7daaca6b    reports
>> 040000 tree 2ad3dedf0313ae775321c88c53741a4b4a7e87b0    tools
>>
>> I wish it was an allowable extension, the date could be between the mode and
>> object type.
> Yes it's not part of the tree structure, but in this case you can
> simply set/update the mtime to the date of the last commit that
> modified the file.
>
> It can be a bit expensive to bootstrap that, and git doesn't help you
> along at all, you need to do it via hooks or some script you run, but
> that's a neat way to shove it into the datamodel if you need this for
> some reason.
>
>

Do you see any technical issues with using programmable hooks or 
something like this would have to be patched in? I am giving it a 
serious thought to exploring a fix to the Git Daemon over the wire 
completion issues on Windows. It appears to be a Half Close socket issue.

-- 
Hector, Engineering & Technical Support
Santronics Software, Inc.
http://www.santronics.com (sales)
http://www.winserver.com (support)
http://www.winserver.com/AupInfo (Online AUP Help)
Office: 305-248-3204